package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDGroupDetail;
import com.sa.ibiz.demo.demo.service.dto.TSSDGroupDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDGroupDetail] 服务对象接口
 */
public interface TSSDGroupDetailService extends IService<TSSDGroupDetail>{

	boolean checkKey(TSSDGroupDetail et);
	boolean update(TSSDGroupDetail et);
		TSSDGroupDetail get(TSSDGroupDetail et);
	boolean getDraft(TSSDGroupDetail et);
	boolean create(TSSDGroupDetail et);
	boolean remove(TSSDGroupDetail et);
    List<TSSDGroupDetail> listDefault(TSSDGroupDetailSearchFilter filter) ;
	Page<TSSDGroupDetail> searchDefault(TSSDGroupDetailSearchFilter filter);
	/**	 实体[TSSDGroupDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }